﻿using System;

namespace MHoApps.SnippsCode.Helper
{
    /// <summary>
    /// 
    /// </summary>
    public class SettingsHelper
    {
        private const string SettingsFileName = "settings.xml";
        private readonly string SettingsPath = $"{Environment.CurrentDirectory}\\{SettingsFileName}";

        public Model.Settings GetSettings()
        {
            return new XMLSerializer().DeSerialize(SettingsPath, new Model.Settings());
        }

        public void SaveSettings(Model.Settings settingsInstance)
        {
            var ser = new XMLSerializer();
            ser.Serialize(SettingsPath, settingsInstance);
        }

    }
}
