﻿using MHoApps.SnippsCode.ViewModel.Services;
using System;
using System.Windows;
using System.Windows.Input;
using System.Windows.Threading;

namespace MHoApps.SnippsCode.Services
{
    /// <summary>
    /// 
    /// </summary>
    public class WaitingCursorService : IWaitingCursorService
    {
        #region Constructor

        /// <summary>
        /// default constructor
        /// </summary>
        public WaitingCursorService()
        {

        }

        public void ResetCursor()
        {
            SetWaitingCursor(false);
        }

        public void SetWaiting()
        {
            SetWaitingCursor(true);
        }

        #endregion

        public void SetWaitingCursor(bool isWaiting)
        {
            if (isWaiting)
                Application.Current.Dispatcher.Invoke(() => Mouse.OverrideCursor = Cursors.Wait);
            else
                Application.Current.Dispatcher.Invoke(() => Mouse.OverrideCursor = null);

            Application.Current.Dispatcher.Invoke(
                DispatcherPriority.Background, 
                new Action(() =>{})
                );
        }
    }
}
