﻿using MHoApps.SnippsCode.Helper;
using System;
using System.Collections.ObjectModel;
using System.Linq;

namespace MHoApps.SnippsCode.ViewModel
{
    /// <summary>
    /// 
    /// </summary>
    public class MainViewModel
    {
        private string _path = @"C:\Users\mhoffmann\Downloads";
        #region Constructor

        /// <summary>
        /// default constructor
        /// </summary>
        public MainViewModel()
        {
            var filesFolders = DirectoryItemHelper.GetDirectoryItems(_path);
            TabItems = new ObservableCollection<TabItemViewModel>();
            DirectoryItems = new ObservableCollection<DirectoryItemViewModel>(filesFolders.Select(f => new DirectoryItemViewModel(f.FullPath, f.Type, TabItems)));
            
        }

        #endregion

        public ObservableCollection<DirectoryItemViewModel> DirectoryItems { get; set; }

        public ObservableCollection<TabItemViewModel> TabItems { get; set; }

    }
}
