﻿namespace MHoApps.SnippsCode.ViewModel.Services
{
    /// <summary>
    /// 
    /// </summary>
    public interface IMessageBoxService
    {
        MessageBoxResultEnum Show(string message, string title, MessageBoxButtonEnum buttons = 0, MessageBoxImageEnum image = 0);
    }

    public enum MessageBoxResultEnum
    {
        None = 0,
        OK = 1,
        Cancel = 2,
        Yes = 6,
        No = 7
    }

    public enum MessageBoxButtonEnum
    {
        OK = 0,
        OKCancel = 1,
        YesNoCancel = 3,
        YesCancel = 4
    }

    public enum MessageBoxImageEnum
    {
        None = 0,
        Hand = 16,
        Question = 32,
        Warning = 48,
        Information = 64
    }
}
