﻿using ICSharpCode.AvalonEdit.Highlighting;
using System;
using System.Globalization;
using System.IO;

namespace MHoApps.SnippsCode.View.Converter
{
    /// <summary>
    /// 
    /// </summary>
    public class SyntaxHighlightingConverter : ValueConverterBase<SyntaxHighlightingConverter>
    {
        public override object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            return HighlightingManager.Instance.GetDefinitionByExtension(Path.GetExtension(value as string));
        }

        public override object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
